> [!NOTE]
> If we want to use clangd, we need to modify the cmake command like so:
> `cmake -DCMAKE_BUILD_TYPE=Debug -DPICO_BOARD=pico ..`
> clangd needs the option `--query-driver=/usr/bin/arm-none-eabi-g*` to process includes properly, which cannot be set in the .clangd file due to security issues. This needs to be added to the lsp config.

> [!NOTE]
> Enable debug symbols with `make -j4`

> [!NOTE]
> Run `echo "adapter speed 10000" | nc localhost 4444` once (after starting the openocd server with `openocd -f interface/cmsis-dap.cfg -f target/rp2040.cfg`) to get faster upload speeds

`tio /dev/ttyACM#` to monitor UART
